# sigc::slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil > Class Template Reference

Convenience wrapper for the numbered sigc::slot4 template. More...

`#include <sigc++/functors/slot.h>`

Inheritance diagram for sigc::slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >:
[legend]

List of all members.

## Public Types

typedef slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > | parent_type

## Public Member Functions

template<class T_functor >
| slot (const T_functor& _A_func)
| Constructs a slot from an arbitrary functor.
| slot (const slot& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
class sigc::slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >

Convenience wrapper for the numbered sigc::slot4 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::slot template for 4 argument(s), specialized for different numbers of arguments This is possible because the template has default (nil) template types.

## Constructor & Destructor Documentation

template <class T_return , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
template <class T_functor >

sigc::slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >::slot | ( | const T_functor & | _A_func | ) | `[inline]`

Constructs a slot from an arbitrary functor.

Parameters:

  | _A_func | The desirer functor the new slot should be assigned to.